ONEVNET(1)

NAME
onevnet

SYNOPSIS
onevnet command [args] [options]

OPTIONS
 -c, --cluster id|name     Selects the cluster
 -l, --list x,y,z          Selects columns to display with list command
 -d, --delay x             Sets the delay in seconds for top command
 -x, --xml                 Show the resource in xml format
 -n, --numeric             Do not translate user and group IDs
 -k, --kilobytes           Show units in kilobytes
 -v, --verbose             Verbose mode
 -h, --help                Show this message
 -V, --version             Show version and copyright information

COMMANDS

•   create file

    Creates a new Virtual Network from the given template file
    valid options: cluster

•   delete range|vnetid_list

    Deletes the given Virtual Network

•   addleases vnetid ip [mac]

    Adds a lease to the Virtual Network

•   rmleases vnetid ip

    Removes a lease from the Virtual Network

•   hold vnetid ip

    Holds a Virtual Network lease, marking it as used

•   release vnetid ip

    Releases a Virtual Network lease on hold

•   publish range|vnetid_list

    DEPRECATED, use chmod instead. Publishes the given Virtual Network.
    A public Virtual Network can be seen and used by other users in the
    Virtual Network's group.

•   unpublish range|vnetid_list

    DEPRECATED, use chmod instead. Unpublishes the given Virtual Network. A
    private Virtual Network can't be used by any other user.

•   chgrp range|vnetid_list groupid

    Changes the Virtual Network group

•   chown range|vnetid_list userid [groupid]

    Changes the Virtual Network owner and group

•   chmod range|vnetid_list octet

    Changes the Virtual Network permissions

•   list [filterflag]

    Lists Virtual Networks in the pool
    valid options: list, delay, xml, numeric, kilobytes

•   show vnetid

    Shows information for the given Virtual Network
    valid options: xml

•   update vnetid

    Launches the system editor to modify and update the template contents

ARGUMENT FORMATS

•   file

    Path to a file

•   range

    List of id's in the form 1,8..15

•   text

    String

•   groupid

    OpenNebula GROUP name or id

•   userid

    OpenNebula USER name or id

•   vnetid

    OpenNebula VNET name or id

•   vnetid_list

    Comma-separated list of OpenNebula VNET names or ids

•   filterflag

    a, all       all the known VNETs
    m, mine      the VNET belonging to the user in ONE_AUTH
    g, group     'mine' plus the VNET belonging to the groups
                 the user is member of
    uid          VNET of the user identified by this uid
    user         VNET of the user identified by the username

LICENSE
OpenNebula 3.4.1 Copyright 2002-2012, OpenNebula Project Leads (OpenNebula.org)

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0